> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monirates.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Withdraw funds to bank account

> Withdraw funds from a wallet to a bank account.



## OpenAPI

````yaml https://interface.monirates.com/v1/api-docs.json post /transaction/transfer/bank
openapi: 3.0.3
info:
  title: Monirates API
  version: 1.0.0
  description: API documentation
servers:
  - url: https://dev.interface.monirates.com/v1
    description: Dev
security:
  - apiKeyAuth: []
tags:
  - name: Exchange
    description: Exchange operations
  - name: Payment Link
    description: Payment Link operations
  - name: Wallet
    description: Wallet operations
  - name: Transaction
    description: Transaction operations
  - name: Virtual Bank Accounts
    description: Virtual Bank Account operations
  - name: Utility
    description: Utility operations
  - name: Webhook
    description: Webhook operations
  - name: Providers
    description: Providers operations
paths:
  /transaction/transfer/bank:
    post:
      tags:
        - Transaction
      summary: Withdraw funds to bank account
      description: Withdraw funds from a wallet to a bank account.
      parameters:
        - name: idempotencykey
          in: header
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                amount:
                  type: number
                  maximum: 1000000000
                currency:
                  type: string
                  enum:
                    - NGN
                    - USD
                    - EUR
                    - GBP
                    - CAD
                    - CNY
                    - INR
                    - GHS
                    - XOF
                    - USDT
                    - BUSD
                    - USDC
                    - CNGN
                    - XAF
                    - CDF
                    - KES
                    - MWK
                    - RWF
                    - TZS
                    - UGX
                    - ZMW
                    - SLE
                    - ETB
                    - MAD
                    - ZAR
                iso2:
                  oneOf:
                    - type: string
                      minLength: 2
                      maxLength: 2
                    - type: string
                      minLength: 2
                      maxLength: 2
                narration:
                  type: string
                  maxLength: 100
                  enum:
                    - ''
                bankCode:
                  type: string
                accountNumber:
                  type: string
                  maxLength: 10
                accountName:
                  type: string
                  maxLength: 100
                bankName:
                  type: string
                  maxLength: 200
              required:
                - amount
                - currency
                - bankCode
                - accountNumber
                - accountName
                - bankName
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiSuccess'
        '400':
          description: Validation error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
components:
  schemas:
    ApiSuccess:
      type: object
      properties:
        success:
          type: boolean
          example: true
        message:
          type: string
        data:
          type: object
          description: Response payload
    ApiError:
      type: object
      properties:
        success:
          type: boolean
          example: false
        message:
          type: string
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key for API authentication

````